# Sola Proj

Sola的意思是天空，被太阳照射的地方。祝愿Sola Proj能够成为心灵的寄托之所，梦想与希望的起源之地。

## 重要网址

**主页**
[https://home.yimian.xyz](https://home.yimian.xyz)

**文档**
[https://sola.yimian.xyz](https://sola.yimian.xyz)

**FTP家庭网盘**
[https://home.yimian.xyz/pan](https://home.yimian.xyz/pan)

**项目博客**
[https://www.eee.dog/tech/smart-home.html](https://www.eee.dog/tech/smart-home.html)

## 系统简介

### 基本组成

````
|
|---网络组件
|   |---主路由器
|   |---辅路由器
|   |---LoRa网关
|
|
|---计算单元
|   |---单片机
|   |---IBM服务器
|   |---云服务器
|
|
|---传感/控制节点
|   |---走廊节点
|   |---餐厅节点
|   |---厨房节点
|   |---客厅节点(前)
|   |---客厅节点(后)
|   |---主厕所节点
|   |---副厕所节点
|   |---客厅红外节点
|   |---主卧红外节点
|
|
|---用户终端
|   |---天猫精灵
|   |---MING's笔记本
|   |---XIUJU's笔记本
|   |---MING's IPhone
|   |---XIUJU's IPhone
|   |---咕咕机
|


````

### 模块组成

````
|
|---主控模块
|   |---HomeAssistant
|
|
|---网络模块
|   |---mosca-MQTT
|   |---frp内网穿透
|   |---LoRa-mqtt
|   |---dnsmasq
|   |---vsftpd
|
|
|---云盘模块
|   |---vsftpd家庭存储
|   |---onedrive云存储
|
|

````

## 系统功能

### 控制功能
 - 控制走廊，餐厅，厨房，客厅灯的开关
 - 控制换热器电磁阀开关
 - 控制主卧空调模式，温度，风力等
 - 支持对电视，小米盒子，音响的一般控制行为
 - 控制咕咕机打印指定内容
 - 打开楼下单元门

### 传感功能
 - 判断走廊，餐厅，厨房，客厅的活动人数
 - 判断走廊，餐厅，厨房，客厅拨动开关的状态
 - 室内温度，湿度，亮度
 - 换热器，太阳能管道流量
 - 太阳能水位，水温(待定)

### 智慧功能
 - 音乐播放，拨打电话，找手机等所有天猫精灵支持的功能
 - 通过天猫精灵控制走廊，餐厅，厨房，客厅灯状态
 - 通过天猫精灵控制太阳能加水时间
 - 通过网页，APP查看历史温湿度光照灯数据
 - 通过天猫精灵打开单元门
 - 自定义控制逻辑(待定)

## 使用技巧

### 电脑使用技巧
 - 使用`Ctrl+Alt+A`组合键截屏
 - 桌面的文件可以右键共享，生成链接供他人查看编辑
 - 开始菜单中能够看到手机上的照片

### 天猫精灵技巧
 - 打开/关闭全部灯
 - 打开/关闭厨房的灯
 - 打开/关闭餐厅的灯
 - 打开/关闭客厅的灯
 - 打开/关闭走廊的灯
 - 开门/打开单元门 (打开楼下开关)
 - 打开/关闭浴室开关（换热器电磁阀）
 - 自动模式/打开智慧灯控（打开/关闭一楼开关）
 - 白天模式/打开白天模式（打开二楼开关）
 - 夜间模式/打开夜间模式（打开三楼开关）
 - 午夜模式/打开午夜模式（打开四楼开关）
 - 播放音乐
 - 最新新闻
 - 早上好
 - xx分钟后提醒我干xx / xx点xx分提醒我干xx
 - 现在几点
 - 今天天气
 - 播放小说
 - 淘宝购物
 - 网速测试
 - 打开电视/电视盒子/音响/空调
 - 定闹钟
 - 打电话
 - 找手机

### WIFI使用技巧
 - `yimian-iot`: 私人网络，未广播，仅允许指定设备连接
 - `yimian-Guest`: 密码:`13371035727` 访客网络，家里来人的话连这个
 - `yimian-ori`: 移动光猫自带网络，速度较慢，仅测试使用

## 应急操作指南

### 灯开关恢复手动
找到相应拨动开关，找到贴有`Sola Proj`标签的杜邦线，在接口处将其断开，即可恢复到手动状态。

### 关闭主厕所设备
找到控制主厕所通风的三键拨动开关，关闭中间的开关，然后通过改变换热器上的手动阀门的状态来控制水流。

### 关闭副厕所设备
找到副厕所中由西北角由天花板引出的电源线，将其插座上插头拔下即可。

### 关闭咕咕机
拔掉咕咕机电源即可

### 咕咕机换纸
沿着出纸口将其掰开，更换纸卷后，预留出一小段到出纸口，扣上外壳即可。

### 电脑系统故障
不要乱安装东西，出问题后马上告知我，我来远程控制。

### 网络瘫痪
先检查光猫的光信号和注册是否亮红灯，如果有则联系移动售后。检查光纤出口是否接好。尝试重启IBM服务器。如果还不行则连接`yimian-ori`的wifi，密码和`yimian-iot`一致，看看能否连上网。连上网后务必联系我。
